4 Replies Latest reply: Sep 23, 2012 2:10 PM by JesusFreak0261
JesusFreak0261 Level 1 Level 1 (0 points)

It's with great disappointment that I say that my macintosh is apparently too old to recieve the new iTunes 10.7 update. Unfortunately for me,when I updated my iPhone to the new 6.0 version I wasn't aware that it requires iTunes 10.7 to sync my iPhone with my iTunes. Now, I can't use my iPhone with my computer at all. I have no idea what I should do. Spend thousands of dollars for a new computer?


iPhone 4, Mac OS X (10.5.8)
  • Chris CA Level 9 Level 9 (77,515 points)

    JesusFreak0261 wrote:

     

    It's with great disappointment that I say that my macintosh is apparently too old to recieve the new iTunes 10.7 update.

    Which Macintosh specifically do you have?

     

    Unfortunately for me,when I updated my iPhone to the new 6.0 version I wasn't aware that it requires iTunes 10.7 to sync my iPhone

    It does not require iTunes 10.7. Your iPhone will sync with iTunes 10.6.3 fine.

    Restart the computer.

    Note the iPhone 5 requires iTunes 10.7.

  • JesusFreak0261 Level 1 Level 1 (0 points)

    I'm sorry, I should have been more specific. I'm running on a Mac OS X Version 10.5.8, which explains why I can't download the new version of iTunes. My iTunes is on version 10.6.1, and it says that it's the latest version that I can get. The same goes for my Mac. I found out that I'll just have to upgrade to OS X Snow Leopard in order for my computer to keep up with my phone. I've tried to find the Snow Leopard software for digital download in the mac app store, but I can't find it. Does it have a digital download or do I need to buy the physical discs?

  • Chris CA Level 9 Level 9 (77,515 points)

    My iTunes is on version 10.6.1, and it says that it's the latest version that I can get.

    Where do you see it is the latest you can get?

    You can get iTunes 10.6.3 and it will work fine.

    -> http://support.apple.com/kb/DL1575

    "

    • Version: 10.6.3
    • Post Date: June 11, 2012
    • Download ID: DL1575
    • File Size: 170.27 MB

    System Requirements Macintosh Software

    • Mac OS X version 10.5.8
    • Safari 4.0.3 or later
    • 200MB of available disk space
    • iTunes in the Cloud and iTunes Match availability may vary by country.

    Macintosh Hardware

    • Mac computer with an Intel, PowerPC G5 or G4 processor and 512MB of RAM"
  • JesusFreak0261 Level 1 Level 1 (0 points)

    Thank you very much for the link, it worked! For some reason it kept saying that I already had the latest version. That solved it!